category: example
name: Example
persistence: true
abstract: false
api_generation: false
attributes:
  identifier:
    field_immutable: true
    field_name: name
    field_persistence: true
    field_type: string
  local_fields:
  - field_immutable: false
    field_name: region
    field_nullable: true
    field_persistence: true
    field_type: string
    field_unique: false
  - field_immutable: false
    field_name: description
    field_nullable: true
    field_persistence: true
    field_type: string
    field_unique: false
  - field_immutable: false
    field_name: hogeID
    field_nullable: true
    field_persistence: true
    field_type: string
    field_unique: false
  - field_immutable: false
    field_name: createdAt
    field_nullable: true
    field_persistence: true
    field_type: DateTime
    field_unique: false
  ref_fields: []
methods:
  class_methods: []
  instance_methods: []